Subject: [MEDIACTRL] MRB: Extensible Fields

From: Eric Burger <[email-masked]>
Date: Tue, 23 Feb 2010 04:27:48 -0800

Right now the schema for the MRB publisher and consumer interfaces is not extensible.

Do we need them to be?

The list of fixed values are:

msstatus: {active, deactivated, unavailable}
To me, this closed enumeration makes sense.  What about you?

action: {create, update, remove}
To me, this closed enumeration makes sense.  What about you?

actions: {encoding, decoding, passthrough}
Is this OK to be a closed enumeration?

dtmf: {RFC4733, Media} [INFO is in the list in mrb-03, but that is the subject of another email]
To me, I think this needs to be extensible.  We know (think?) there will be a DTMF Info-Package, possibly.

vxml: {RFC5552, IVR-Package}
I'm hesitating here.  On the one hand, I cannot imagine new packages.  On the other hand, I could envision someone wanting to use MEDIACTRL to launch MSML or MSCML sessions.  What do people on the list think?

Now comes the hard part: what if we do allow for extensibility?  How does that get signaled?  Do we need to signal extensions, or just let the MRB barf or ignore or default unrecognized values?

Thoughts welcome.